Lintian Fixes - lua-wsapi

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/lua-wsapi lintian-fixes

Summary

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2015-08-15 14:39:39 +0000
+++ b/debian/changelog	2020-04-29 14:01:28 +0000
@@ -1,25 +1,39 @@
+lua-wsapi (1.6.1-2) UNRELEASED; urgency=medium
+
+  * Trim trailing whitespace.
+  * Use secure copyright file specification URI.
+  * Use secure URI in Homepage field.
+  * Bump debhelper from deprecated 8 to 10.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
+    Repository-Browse.
+  * Use secure URI in Vcs control header Vcs-Git.
+  * Update Vcs-* headers from URL redirect.
+  * Use canonical URL in Vcs-Git.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Wed, 29 Apr 2020 13:55:56 +0000
+
 lua-wsapi (1.6.1-1) unstable; urgency=medium
 
-  * New upstream release 
-  * Remove transition package leftover 
+  * New upstream release
+  * Remove transition package leftover
 
  -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 15 Aug 2015 16:36:31 +0200
 
 lua-wsapi (1.6.0-3) unstable; urgency=medium
 
-  * Ship files for Lua 5.2 
+  * Ship files for Lua 5.2
 
  -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Jun 2014 22:34:38 +0200
 
 lua-wsapi (1.6.0-2) unstable; urgency=medium
 
-  * Include wsapi.lua 
+  * Include wsapi.lua
 
  -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Jun 2014 21:16:59 +0200
 
 lua-wsapi (1.6.0-1) unstable; urgency=low
 
-  * New upstream version supporting Lua 5.2 
+  * New upstream version supporting Lua 5.2
   * Packaging moved to git
   * Removed transitional packages
 
@@ -34,10 +48,10 @@
 lua-wsapi (1.5-2) unstable; urgency=low
 
   * Switch to dh-lua
-  * Packages renamed according to the new Lua policy 
+  * Packages renamed according to the new Lua policy
   * Standards-Version to 3.9.3, no changes
-  * debian/compat set to 8 
-  * Copyright format 1.0 
+  * debian/compat set to 8
+  * Copyright format 1.0
 
  -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Apr 2012 12:50:31 +0200
 
@@ -52,13 +66,13 @@
 
 lua-wsapi (1.1.0-10) unstable; urgency=low
 
-  * source format 3.0 (quilt) 
+  * source format 3.0 (quilt)
 
  -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 23:02:29 +0200
 
 lua-wsapi (1.1.0-9) unstable; urgency=low
 
-  * Updated standards-version to 3.9.2, no changes 
+  * Updated standards-version to 3.9.2, no changes
   * Multi-arch (dh >= 8.1.3, lua5.1-policy >= 32)
 
  -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 12:01:58 +0200
@@ -72,7 +86,7 @@
 lua-wsapi (1.1.0-7) unstable; urgency=low
 
   * Updated standards-version to 3.8.3:
-    - added README.source 
+    - added README.source
   * Added dependency over liblua5.1-filesystem0 (Closes: #566215)
 
  -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 31 Jan 2010 16:19:21 +0100
@@ -98,7 +112,7 @@
 
 lua-wsapi (1.1.0-3) unstable; urgency=low
 
-  * wsapi.cgi and wsapi.fcgi installed in /usr/bin, ready to be used in 
+  * wsapi.cgi and wsapi.fcgi installed in /usr/bin, ready to be used in
     Apache configuration file
   * manpages for wsapi.cgi and wsapi.fcgi written
 

=== modified file 'debian/compat'
--- a/debian/compat	2012-04-28 10:57:13 +0000
+++ b/debian/compat	2020-04-29 13:58:00 +0000
@@ -1,1 +1,1 @@
-8
+10

=== modified file 'debian/control'
--- a/debian/control	2015-08-15 14:39:39 +0000
+++ b/debian/control	2020-04-29 14:01:28 +0000
@@ -2,11 +2,11 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), libfcgi-dev, dh-lua
+Build-Depends: debhelper (>= 10~), libfcgi-dev, dh-lua
 Standards-Version: 3.9.3
-Homepage: http://keplerproject.github.com/wsapi/index.html
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-wsapi.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-wsapi.git
+Homepage: https://keplerproject.github.com/wsapi/index.html
+Vcs-Git: https://salsa.debian.org/lua-team/lua-wsapi.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-wsapi
 
 Package: lua-wsapi
 Architecture: all
@@ -58,4 +58,4 @@
 Section: doc
 Depends: ${misc:Depends}
 Description: wsapi documentation files for the Lua language
- This package contains the documentation of the wsapi library. 
+ This package contains the documentation of the wsapi library.

=== modified file 'debian/copyright'
--- a/debian/copyright	2012-04-28 10:57:13 +0000
+++ b/debian/copyright	2020-04-29 13:56:48 +0000
@@ -1,4 +1,4 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: wsapi
 Upstream-Contact: Fabio Mascarenhas <mascarenhas@acm.org>
 Source: https://github.com/keplerproject/wsapi/

=== added directory 'debian/upstream'
=== added file 'debian/upstream/metadata'
--- a/debian/upstream/metadata	1970-01-01 00:00:00 +0000
+++ b/debian/upstream/metadata	2020-04-29 13:58:40 +0000
@@ -0,0 +1,4 @@
+Bug-Database: https://github.com/keplerproject/wsapi/issues
+Bug-Submit: https://github.com/keplerproject/wsapi/issues/new
+Repository: https://github.com/keplerproject/wsapi.git
+Repository-Browse: https://github.com/keplerproject/wsapi

Debdiff

File lists identical (after any substitutions)

Control files of package lua-wsapi: lines which differ (wdiff format)

  • Homepage: http://keplerproject.github.com/wsapi/index.html https://keplerproject.github.com/wsapi/index.html

Control files of package lua-wsapi-doc: lines which differ (wdiff format)

  • Homepage: http://keplerproject.github.com/wsapi/index.html https://keplerproject.github.com/wsapi/index.html

Control files of package lua-wsapi-fcgi: lines which differ (wdiff format)

  • Depends: libc6 (>= 2.4), libfcgi0ldbl, libfcgi0ldbl (>= 2.4.0), lua-wsapi, lua-filesystem, lua5.1
  • Homepage: http://keplerproject.github.com/wsapi/index.html https://keplerproject.github.com/wsapi/index.html

No differences were encountered between the control files of package lua-wsapi-fcgi-dbgsym

Control files of package lua-wsapi-fcgi-dev: lines which differ (wdiff format)

  • Homepage: http://keplerproject.github.com/wsapi/index.html https://keplerproject.github.com/wsapi/index.html

Run locally

Try this locally (using the lintian-brush package):

debcheckout lua-wsapi
cd lua-wsapi
lintian-brush

More details

Full run details